#if !defined(AFX_CHECKTREECTRL_H__09393B81_EB6D_4602_94D4_E0C1C73C9923__INCLUDED_)
#define AFX_CHECKTREECTRL_H__09393B81_EB6D_4602_94D4_E0C1C73C9923__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CheckTreeCtrl.h : header file
//
 
/////////////////////////////////////////////////////////////////////////////
// CCheckTreeCtrl window

class CCheckTreeCtrl : public CTreeCtrl
{
// Construction
public:
	CCheckTreeCtrl();

// Attributes
public:

	CImageList m_il;
	CImageList m_il_chek;

// Operations
public:

BOOL SetCheck1(HTREEITEM hItem, BOOL fCheck);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCheckTreeCtrl)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CCheckTreeCtrl();
	BOOL SetRecursiveParentCheck(HTREEITEM hItem, BOOL fCheck);
	BOOL SetRecursiveChildCheck(HTREEITEM hItem, BOOL fCheck);

	// Generated message map functions
protected:
	//{{AFX_MSG(CCheckTreeCtrl)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CHECKTREECTRL_H__09393B81_EB6D_4602_94D4_E0C1C73C9923__INCLUDED_)
